OpenNMS API 1.2.9

## org.opennms.netmgt.eventd.adaptors.udp
Interface UdpEventReceiverMBean

All Known Implementing Classes:
  UdpEventReceiver

public interface UdpEventReceiverMBean

Author:
  Brian Weaver , Oculan Corporation

Method Summary
`void` `addEventHandler(java.lang.String name)`
`void` `destroy()`
`java.lang.Integer` `getPort()`
`int` `getStatus()`
`void` `init()`
`void` `removeEventHandler(java.lang.String name)`
`void` `setLogPrefix(java.lang.String prefix)`
`void` `setPort(java.lang.Integer port)`
`void` `start()`
`void` `stop()`

Method Detail

### init

    public void init()

### destroy

    public void destroy()

### start

    public void start()

### stop

    public void stop()

### setPort

    public void setPort(java.lang.Integer port)

### getPort

    public java.lang.Integer getPort()

### getStatus

    public int getStatus()

### addEventHandler

    public void addEventHandler(java.lang.String name)
                         throws javax.management.MalformedObjectNameException,
                                javax.management.InstanceNotFoundException

  Throws:
    `javax.management.MalformedObjectNameException`
    `javax.management.InstanceNotFoundException`

### removeEventHandler

    public void removeEventHandler(java.lang.String name)
                            throws javax.management.MalformedObjectNameException,
                                   javax.management.InstanceNotFoundException

  Throws:
    `javax.management.MalformedObjectNameException`
    `javax.management.InstanceNotFoundException`

### setLogPrefix

    public void setLogPrefix(java.lang.String prefix)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.